This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 68234 - redhat-config-language crashes
redhat-config-language crashes
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-language (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-08 09:03 EDT by Sarantis Paskalis
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 08:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/i18n (126 bytes, text/plain)
2002-07-17 03:46 EDT, Sarantis Paskalis
no flags Details
/usr/share/redhat-config-language/locale-list (4.55 KB, text/plain)
2002-07-18 05:07 EDT, Sarantis Paskalis
no flags Details

  None (edit)
Description Sarantis Paskalis 2002-07-08 09:03:09 EDT
Description of Problem:
redhat-config-network crashes with the following dump:
sarantis@gallagher:~$ redhat-config-language

(redhat-config-language.py:14390): Gtk-WARNING **:
/usr/lib/gtk-2.0/2.0.0/engines/libmetal.so: undefined symbol:
gtk_toggle_button_get_type
Traceback (most recent call last):
  File "/usr/share/redhat-config-language/redhat-config-language.py", line 30, in ?
    app = language.childWindow()
  File "/usr/share/redhat-config-language/language.py", line 73, in __init__
    self.setDefault(defaultLang)
  File "/usr/share/redhat-config-language/language.py", line 105, in setDefault
   if self.langStore.get_value(iter, 0) == defaultLang:
TypeError: iter must be a GtkTreeIter


Note that the first 3 lines are always printed when one of the new
redhat-config-* tools is used.


Version-Release number of selected component (if applicable):
redhat-config-language--0.9.1-2

How Reproducible:
Every Time.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Running Gnome 2.0 from Limbo on an upgraded machine
Comment 1 Brent Fox 2002-07-16 16:04:14 EDT
Can you attach your /etc/sysconfig/i18n file?
Comment 2 Sarantis Paskalis 2002-07-17 03:46:17 EDT
Created attachment 65624 [details]
/etc/sysconfig/i18n
Comment 3 Brent Fox 2002-07-17 13:57:53 EDT
I think that this is a problem that I fixed yesterday.  redhat-config-language
had an old copy of locale-list, so it was getting confused trying to look up the
language.  I will have to do some more investigation to get a reproducible test
case, though.

I'm curious, though.  Can you attach your
/usr/share/redhat-config-language/locale-list file as well?
Comment 4 Sarantis Paskalis 2002-07-18 05:07:55 EDT
Created attachment 65744 [details]
/usr/share/redhat-config-language/locale-list
Comment 5 Brent Fox 2002-08-01 08:53:13 EDT
Yep, this is the problem I was thinking of.  This has been fixed in recent
builds of redhat-config-language.  Thanks for your report.

QA, please verify this with redhat-config-keyboard-0.9.6-3.
Comment 6 Jay Turner 2002-08-06 14:59:47 EDT
Fix confirmed with redhat-config-language-0.9.9-2.

Note You need to log in before you can comment on or make changes to this bug.